#pragma once
#include "..\..\DuiLib\UIlib.h"
#include "DuiDefine.h"
#include "EmbeddedDUIInMFCWindow.h"

//#define BTN_HEIGHT				36
class IOKCancelButtonsCallBack;
class COKCancelButtons : public EmbeddedDUIInMFCWindow
{
	DUI_DECLARE_MESSAGE_MAP()
public:

	enum BUTTONS
	{
		All = 0,
		OK,
		Cancle,
	};
	COKCancelButtons(CWnd* pParent, IOKCancelButtonsCallBack* pCallBack);
	virtual ~COKCancelButtons(void);

	LPCTSTR GetWindowClassName() const;
	void OnPrepare(TNotifyUI& msg);
	void SetButtonText(LPCTSTR strButtonOK, LPCTSTR strButtoCancel);
	void SetClientRect(CRect rc);
	void LoadSkin();
	void SetButtonReadOnly( bool bReadOnly, BUTTONS button );
	bool GetButtonReadOnly( BUTTONS button );
	virtual CDuiString GetSkinFile();
	virtual CDuiString GetSkinFolder();
	virtual void OnFinalMessage(HWND hWnd);
	virtual CControlUI* CreateControl(LPCTSTR pstrClass);
	virtual LRESULT OnNcHitTest(UINT uMsg, WPARAM wParam, LPARAM lParam, BOOL& bHandled);
private:

	void _OnNotifyBtnOKClick( TNotifyUI& msg );
	void _OnNotifyBtnCancelClick( TNotifyUI& msg );
	
	CButtonUI* m_pBtnOK;
	CButtonUI* m_pBtnCancel;
	IOKCancelButtonsCallBack* m_pCallBack;
	CString m_strButtonOK;
	CString m_strButtonCancel;
};

class IOKCancelButtonsCallBack
{
public:
	virtual void OnButtonClicked(COKCancelButtons::BUTTONS button) = 0;
	virtual ~IOKCancelButtonsCallBack(){}
};
